Subject: Re: bug#15045: Point jumps inappropriately around time of Semantic lexing

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Aug 2013 13:34:25 -0400

> Why should we care?  Good engineering does not build things on what
> "currently happens to work", because that will eventually break,
> given enough development.

I care because if I don't have a positive reason to keep this call to
sit-for I'm going to remove it.

>> In practice, is there any important scenario where
>> display-time-event-handler's sit-for is useful?

Thanks.  So as far as you know it's not any more useful than adding
sit-for at the end of any other function.

> And anyway, display-time is just one case of a timer that needs to
> force redisplay.

No disagreement here.  This bug report just made me bump into this
tangentially related call to sit-for which I'll be happy to remove.

        Stefan